Bug 2235081 (python-pytest-travis-fold)

Summary: Review Request: python-pytest-travis-fold - Folds captured output sections in Travis CI build log
Product: [Fedora] Fedora Reporter: Robert-André Mauchin 🐧 <zebob.m>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: maxwell, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-10-17 17:19:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Robert-André Mauchin 🐧 2023-08-26 11:25:38 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/python-pytest-travis-fold.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/python-pytest-travis-fold-1.3.0-1.fc38.src.rpm

Description:
Pytest plugin that folds captured output sections in Travis CI build log.

Fedora Account System Username: eclipseo

To build it against the dependencies, use the following COPR in your rawhide mock.cfg:

[copr:copr.fedorainfracloud.org:eclipseo:scancode-toolkit]
name=Copr repo for scancode-toolkit owned by eclipseo
baseurl=https://download.copr.fedorainfracloud.org/results/eclipseo/scancode-toolkit/fedora-rawhide-/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/eclipseo/scancode-toolkit/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1

Comment 1 Maxwell G 2023-08-29 03:17:51 UTC
You should be able to omit this package and patch out the dependency. This pytest plugin is not at all useful in the RPM build context.

Comment 2 Robert-André Mauchin 🐧 2023-10-17 17:19:06 UTC
Indeed doesn't seem needed.

Thanks for taking a look.